Bug 3952 - Modest ChangeLog misses descriptions & only lists internal bug numbers
: Modest ChangeLog misses descriptions & only lists internal bug numbers
Status: RESOLVED FIXED
Product: Email
General
: 5.0-alpha
: All Linux
: Medium enhancement (vote)
: ---
Assigned To: unassigned
: modest-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-12-22 21:53 UTC by Andre Klapper
Modified: 2009-12-25 22:58 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Andre Klapper (reporter) maemo.org 2008-12-22 21:53:55 UTC
Copying from https://bugs.maemo.org/show_bug.cgi?id=2573#c6.

Modest ChangeLog is not helpful for community members not able to access the
internal Nokia bugtracker.

Example by Dyerga:
 "Possibly this fix is one of the following fixes in the Modest changelog:
 NB#89670, NB#88553, NB#89910, NB#87102, NB#89027, NB#85528, NB#85654, 
 NB#85852, NB#86208, NB#86800, NB#85757, NB#84845, NB#86564, NB#86719, 
 NB#86471, NB#87102, NB#86408, NB#86810, NB#86828, NB#85194, NB#87844, 
 NB#88016, NB#88648, NB#86905, NB#86743, NB#88031, NB#88246, NB#86831, 
 NB#86996, NB#85924, NB#87412
 Could someone who knows to speak that language translate it for the humans,
 please?"
Comment 1 Quim Gil nokia 2008-12-23 12:17:36 UTC
Developers of OSS components like Modest are in the middle of a contradiction
between open source practices and old Nokia processes that were defined years
ago with no open development in mind.

This needs revision and this report is just a proof of it. I guess I could just
go to the internal bugzilla and post most if not all the issues here, but I'd
rather do the right thing which is to look at the development process and see
how to update it.

In the meantime, please file enhancement requests against any Fremantle open
source component you find with obscure changelogs.

Any developer working on those components for Nokia and having private comments
about internal processes - please contact me.
Comment 2 Quim Gil nokia 2008-12-23 18:04:21 UTC
According to Marius, we are allowed to include the summary of the bug along
with the number. Thus, we can use a format like this:

* Fixes: NB#nnnn1, <summary1>
* Fixes: NB#nnnn2, <summary2>

Therefore:

- Modest developers can and should list summaries as well as internal bug
numbers.

- The same rule applies to any other OSS component officially supported by
Maemo.

- Feel free filing bugs against them if they provide internal bugs numbers
without descriptions. For practical reasons, preferably in Fremantle onwards
e.g. in the current pre-alpha release.

The only reason why I'm not providing the summaries for the Modest bugs listed
above is because it takes time and others with access to the internal bugzilla
can do it. Andre, feel free.
Comment 3 Andre Klapper (reporter) maemo.org 2008-12-23 18:45:31 UTC
Cool, here we go (30 bugs as NB#87102 was listed twice):

84845 gmail/gprs: sometimes attachment sending fails

85194 [WONTFIX] Crash at "tny_folder_get_account" while moving message with 9mb
attachment to local folders

85528 "Unable to retrieve message" info note shown over main view instead over
search results

85654 (bug 2573) Gmail/IMAP: Scrollbar and passive focus on the message list
shown at the end in main view

85757 Outbox message is shown even after deleting the account while sending a
message

85852 Unable to rename the user created folder when one of the message from
folder is in use

85924 Random crash at "wakeup_get_headers_async_cb" upon account refresh with
incorrect SMTP settings

86208 ' Close all E-mail windows ' confirmation dialog should be application
modal.

86408 Saving to drafts info banner not shown when main view is minimized.

86471 Memory full condition - Outbox folder is not updating properly after
sending a message

86564 Email application is hanging while selecting "Select All" option

86719 Memory full condition - Device displays message not available in the
server

86743 E-mail application not responding on deleting searched messages

86800 Viewer doesn't scroll to select the text

86810 Memory Full: "Device storage memory full" information banner not shown
when message is sent

86828 Memoryfull condition - Messages are not saved in draft folder

86831 (bug 3641) Modest crashes at "g_thread_create_posix_impl" (No AOL account
defined)

86905 (bug 3411) tinymail is misusing NSS_InitReadWrite

86996 Mail hanged upon atempting to play a media content as an attachment.

87102 Signature is not updated in message body while forwarding a mail

87412 Modest not showing viewers while trying to open two mail notifications
one after the other

87844 Email Application hanged when tried to edit Account settings

88016 Modal issues with Font and Details dialogs

88031 Modest crashes with signal 7 at "camel_file_util_mmap_decode_time_t"

88246 Modest crashed upon adding multiple addresses.

88553 Email application is responding very slow while saving to draft or outbox
folder.

88648 Email application crashes on relaunch after sending BT images

89027 (bug 3343) Wrong default NTL (UK) SMTP server SSL setting in
modest-providers-data

89670 Maemo-launcher coredumps are generated while searching message.

89910 Modest Crashes while renaming a sub folder under archive folder.
Comment 4 Quim Gil nokia 2008-12-29 13:03:05 UTC
As an enhancement request this is FIXED now. 

If you find new changelogs in Modest (or any other open source component) only
with bug numbers of the internal bugzilla but no summaries, then it's a bug.
Comment 5 Daniel Martin Yerga 2009-03-03 22:15:37 UTC
Knock, knock!

I don't wanna be a zealot or a similar character, but the changelog in the
fremantle version is again encrypted: 
http://repository.maemo.org/pool/fremantle/free/m/modest/

I don't know if this version is due to be released in this alpha SDK or it was
a 'leak'. If it's the latter I would understand that encrypted changelog, but
if it's the former, it's again the same problem. 
Also could be a strategy to not reveal the secrets in modest until later, but
if you publish the code, the secrets are there ;)
Comment 6 Andre Klapper (reporter) maemo.org 2009-03-03 22:27:24 UTC
Yupp, ChangeLog in
http://repository.maemo.org/pool/fremantle/free/m/modest/modest_2.1-2009.08-2.tar.gz
only says
"* please check the svn log instead"
and I assume that this refers to the internal SVN.

Modest changes are not listed in 
http://repository.maemo.org/unstable/5.0alpha/alpha-changelog.txt 

(And I didn't expect a Modest release for Fremantle alpha SDK I have to admit.)
Comment 7 Quim Gil nokia 2009-03-04 09:53:19 UTC
The reason, as you suspected, is that the Modest source package was not
intended to be out in this release. It went out accidentally through package
dependencies. We have pulled it out, because it was not prepared for a release
and to be consistent with the purpose of the alpha SDK: provide API for
developers but not apps at this point.

I'll comment more at
http://www.internettablettalk.com/forums/showpost.php?p=268727&postcount=53